# HttpHeaderCredentials

interface HttpHeaderCredentials : Credentials

Credentials that can be used to login to a protected server, e.g. a remote repository by using HTTP header. The properties used for creating credentials from a property are `repoAuthHeaderName` and `repoAuthHeaderValue`, where `repo` is the identity of the repository.

#### Since

4.10

## Functions

getName
Link copied to clipboard
@Nullable
abstract fun getName(): @Nullable String
Returns the header name to use when authenticating.
getValue
Link copied to clipboard
@Nullable
abstract fun getValue(): @Nullable String
Returns the header value to use when authenticating.
setName
Link copied to clipboard
abstract fun setName(@Nullable name: @Nullable String)
Sets the header name to use when authenticating.
setValue
Link copied to clipboard
abstract fun setValue(@Nullable value: @Nullable String)
Sets the header value to use when authenticating.